license_plate_api_latvia
====================

Dart pakete tehniskas informacijas meklesanai par transportlidzekliem, kas registreti latvija pec to numura zimes

`licence_plate_api_latvia` nodrosina vienkarsu veidu, ka no numura zimes (registracijas numura) atrast informaciju par transportlidzekli
latvija registretas automasinas

Tam nepieciesams lietotajvards un parole, kas bez maksas ir pieejams vietne http://www.autoapi.lv/

## English

A Dart package for looking up technical details on vehicles registered in latvia by their license plate

`license_plate_api_latvia` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in latvia

This requires a username and password, which is available for free from http://www.autoapi.lv/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_latvia/license_plate_api_latvia.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.autoapi.lv/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.autoapi.lv/
